/*
 *	stddata.h
 */

/*	Copyright (C) 1999 Sebastian Biallas (sb@web-factory.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef stddata_h
#define stddata_h

#include <stdio.h>
#include "common.h"

/*
class tdata {
public:
				tdata() {};
				~tdata() {};
	void			init();
	void			load(FILE *f);
	void	virtual	done();
	void virtual	store();
};
*/


struct tqueuemember {
	tqueuemember	*next;
	void			*data;
};

class tqueue: public object {
public:
	tqueuemember	*first, *last;
				tqueue() {};
				~tqueue() {};
	void			init();
	void			load(htfile *f);
	void			done();
	bool			empty();
	void			clear();
	void			*top();
	void			enqueue(void *p);
	void      	*dequeue();
	void			store(htfile *f);
};

struct tstackmember {
	tstackmember	*next;
	void			*data;
};

class tstack {
public:
	tstackmember	*stop;
				tstack() {};
				~tstack() {};
	void			init();
	void			done();
	bool			empty();
	void			clear();
	void			*top();
	void			push(void *p);
	void			*pop();
};

#endif
