/* 
 *	The HTE Editor
 *	htinfo.h
 *
 *	Copyright (C) 1999,2000 Stefan Weyergraf (stefan@weyergraf.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *	published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __HTINFO_H__
#define __HTINFO_H__

#define ht_url "http://hte.sourceforge.net"

/*
 *   HT
 */

#define ht_name "ht"
#define ht_version "0.3.99-1"
#define ht_copyright "copyright (c) 1999, 2000 "ht_author" ("ht_mail")"
#define ht_loadtitle ht_name" version "ht_version" "ht_copyright

#define ht_author "Stefan Weyergraf"
#define ht_mail "stefan@weyergraf.de"
#define ht_aim "SWeyergraf"

/*
 *   HT-Analyser
 */

#define htanalyser_name "ht-analyser"
#define htanalyser_version "0.5.1"
#define htanalyser_copyright "copyright (c) 1999, 2000 "htanalyser_author" ("htanalyser_mail")"
#define htanalyser_loadtitle htanalyser_name" version "htanalyser_version" "htanalyser_copyright

#define htanalyser_author "Sebastian Biallas"
#define htanalyser_mail "sb@web-productions.de"

extern char *htlicenseinfo;

#endif /* !__HTINFO_H__ */
