/* 
 *	The HTE Editor
 *	viewers.h
 *
 *	Copyright (C) 1999,2000 Stefan Weyergraf (stefan@weyergraf.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *	published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __VIEWERS_H__
#define __VIEWERS_H__

struct viewer_int;

#include "htfile.h"
#include "htobj.h"

struct viewer_int {
	int (*detect)(htfile *file);
	ht_view *(*init)(bounds *b, htfile *file, ht_group *group);
};

extern viewer_int *viewer_ints[];

void insert_int(ht_group *group, htfile *file, viewer_int *i);

#endif /* !__VIEWERS_H__ */
